Package com.google.gwt.aria.client

## Class SliderRoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl
  - - com.google.gwt.aria.client.SliderRoleImpl

- All Implemented Interfaces:
    `InputRole`, `RangeRole`, `Role`, `SliderRole`, `WidgetRole`

      class SliderRoleImpl
      extends RoleImpl
      implements SliderRole

  Implements `SliderRole`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SliderRoleImpl​(java.lang.String roleName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAriaOrientationProperty​(Element element)` | Returns the value of the aria-orientation attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaValuemaxProperty​(Element element)` | Returns the value of the aria-valuemax attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaValueminProperty​(Element element)` | Returns the value of the aria-valuemin attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaValuenowProperty​(Element element)` | Returns the value of the aria-valuenow attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaValuetextProperty​(Element element)` | Returns the value of the aria-valuetext attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaOrientationProperty​(Element element)` | Removes the aria-orientation attribute from the `element`.
    `void` | `removeAriaValuemaxProperty​(Element element)` | Removes the aria-valuemax attribute from the `element`.
    `void` | `removeAriaValueminProperty​(Element element)` | Removes the aria-valuemin attribute from the `element`.
    `void` | `removeAriaValuenowProperty​(Element element)` | Removes the aria-valuenow attribute from the `element`.
    `void` | `removeAriaValuetextProperty​(Element element)` | Removes the aria-valuetext attribute from the `element`.
    `void` | `setAriaOrientationProperty​(Element element, OrientationValue value)` | Sets the aria-orientation attribute for the `element` to the given `value`.
    `void` | `setAriaValuemaxProperty​(Element element, java.lang.Number value)` | Sets the aria-valuemax attribute for the `element` to the given `value`.
    `void` | `setAriaValueminProperty​(Element element, java.lang.Number value)` | Sets the aria-valuemin attribute for the `element` to the given `value`.
    `void` | `setAriaValuenowProperty​(Element element, java.lang.Number value)` | Sets the aria-valuenow attribute for the `element` to the given `value`.
    `void` | `setAriaValuetextProperty​(Element element, java.lang.String value)` | Sets the aria-valuetext attribute for the `element` to the given `value`.

    - ### Methods inherited from class com.google.gwt.aria.client.RoleImpl

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Constructor Detail

    - #### SliderRoleImpl

          SliderRoleImpl​(java.lang.String roleName)

  - ### Method Detail

    - #### getAriaOrientationProperty

          public java.lang.String getAriaOrientationProperty​(Element element)

      Description copied from interface: `SliderRole`
      Returns the value of the aria-orientation attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaOrientationProperty` in interface `SliderRole`

    - #### getAriaValuemaxProperty

          public java.lang.String getAriaValuemaxProperty​(Element element)

      Description copied from interface: `RangeRole`
      Returns the value of the aria-valuemax attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaValuemaxProperty` in interface `RangeRole`

    - #### getAriaValueminProperty

          public java.lang.String getAriaValueminProperty​(Element element)

      Description copied from interface: `RangeRole`
      Returns the value of the aria-valuemin attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaValueminProperty` in interface `RangeRole`

    - #### getAriaValuenowProperty

          public java.lang.String getAriaValuenowProperty​(Element element)

      Description copied from interface: `RangeRole`
      Returns the value of the aria-valuenow attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaValuenowProperty` in interface `RangeRole`

    - #### getAriaValuetextProperty

          public java.lang.String getAriaValuetextProperty​(Element element)

      Description copied from interface: `RangeRole`
      Returns the value of the aria-valuetext attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaValuetextProperty` in interface `RangeRole`

    - #### removeAriaOrientationProperty

          public void removeAriaOrientationProperty​(Element element)

      Description copied from interface: `SliderRole`
      Removes the aria-orientation attribute from the `element`.
      Specified by:
        `removeAriaOrientationProperty` in interface `SliderRole`

    - #### removeAriaValuemaxProperty

          public void removeAriaValuemaxProperty​(Element element)

      Description copied from interface: `RangeRole`
      Removes the aria-valuemax attribute from the `element`.
      Specified by:
        `removeAriaValuemaxProperty` in interface `RangeRole`

    - #### removeAriaValueminProperty

          public void removeAriaValueminProperty​(Element element)

      Description copied from interface: `RangeRole`
      Removes the aria-valuemin attribute from the `element`.
      Specified by:
        `removeAriaValueminProperty` in interface `RangeRole`

    - #### removeAriaValuenowProperty

          public void removeAriaValuenowProperty​(Element element)

      Description copied from interface: `RangeRole`
      Removes the aria-valuenow attribute from the `element`.
      Specified by:
        `removeAriaValuenowProperty` in interface `RangeRole`

    - #### removeAriaValuetextProperty

          public void removeAriaValuetextProperty​(Element element)

      Description copied from interface: `RangeRole`
      Removes the aria-valuetext attribute from the `element`.
      Specified by:
        `removeAriaValuetextProperty` in interface `RangeRole`

    - #### setAriaOrientationProperty

          public void setAriaOrientationProperty​(Element element,
                                                 OrientationValue value)

      Description copied from interface: `SliderRole`
      Sets the aria-orientation attribute for the `element` to the given `value`.
      Specified by:
        `setAriaOrientationProperty` in interface `SliderRole`

    - #### setAriaValuemaxProperty

          public void setAriaValuemaxProperty​(Element element,
                                              java.lang.Number value)

      Description copied from interface: `RangeRole`
      Sets the aria-valuemax attribute for the `element` to the given `value`.
      Specified by:
        `setAriaValuemaxProperty` in interface `RangeRole`

    - #### setAriaValueminProperty

          public void setAriaValueminProperty​(Element element,
                                              java.lang.Number value)

      Description copied from interface: `RangeRole`
      Sets the aria-valuemin attribute for the `element` to the given `value`.
      Specified by:
        `setAriaValueminProperty` in interface `RangeRole`

    - #### setAriaValuenowProperty

          public void setAriaValuenowProperty​(Element element,
                                              java.lang.Number value)

      Description copied from interface: `RangeRole`
      Sets the aria-valuenow attribute for the `element` to the given `value`.
      Specified by:
        `setAriaValuenowProperty` in interface `RangeRole`

    - #### setAriaValuetextProperty

          public void setAriaValuetextProperty​(Element element,
                                               java.lang.String value)

      Description copied from interface: `RangeRole`
      Sets the aria-valuetext attribute for the `element` to the given `value`.
      Specified by:
        `setAriaValuetextProperty` in interface `RangeRole`